﻿html {
    background-image: linear-gradient(to right top, #a6b828 0%, #7bad07 100%);
}


nav {
    max-width: 1060px;
    mask-image: linear-gradient(90deg, rgba(255, 255, 255, 0) 0%, #ffffff 25%, #ffffff 75%, rgba(255, 255, 255, 0) 100%);
    margin: 0 auto;
    padding: 10px 0;
}

    nav ul {
        text-align: center;
        background: linear-gradient(90deg, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0.2) 25%, rgba(255, 255, 255, 0.2) 75%, rgba(255, 255, 255, 0) 100%);
        box-shadow: 0 0 25px rgba(0, 0, 0, 0.1), inset 0 0 1px rgba(255, 255, 255, 0.6);
    }

        nav ul li {
            display: inline-block;
            background: #055388;
            border: 1px solid white;
            font-size: 0.7em;
            color: white;
            font-weight: 700;
            letter-spacing: 5px;
            text-transform: uppercase;
        }

            nav ul li a {
                padding: 15px;
                text-transform: uppercase;
                font-size: 12px;
                color: white;
                text-decoration: none;
                display: block;
                transition: 0.5s;
            }

                nav ul li a:hover {
                    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1), inset 0 0 1px rgba(255, 255, 255, 0.6);
                    background: rgba(173,216,230, 0.8);
                    color: rgba(0, 35, 122, 0.7);
                    transition: 0.5s;
                }
#reference {
    color: white;
    font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
    font-weight: 300;
    padding-top: 2rem;
    padding-bottom: 2rem;
}

h1, h2, a {
    font-family: "Montserrat", sans-serif;
    text-transform: uppercase;
}

h1, h2 {
    margin-top: 0;
    letter-spacing: 0.2em;
}

h1 {
    margin-bottom: 3rem;
    text-align: center;
}

h2 {
    font-size: 1em;
}

a {
    text-decoration: none;
    color: #B4A677;
}

    a:hover {
        color: #D6C385;
    }

ul {
    list-style: none;
    padding: 0;
}

img {
    max-height:600px;
    width: auto;
}

.container {
    width: calc(100% - 48px);
    margin-left: auto;
    margin-right: auto;
}

.post + .post {
    margin-top: 2rem;
}

.post__excerpt {
    position: relative;
    width: 200px;
    height:auto;
}

.card {
    background-color: #4F4F4F;
    padding: 2rem;
}

    .card:before {
        content: "";
        display: block;
        width: 20px;
        height: 20px;
        background-color: #4F4F4F;
        position: absolute;
        transform: rotate(45deg);
        bottom: -10px;
    }

.card__header {
    padding-bottom: 1rem;
    border-bottom: 1px solid white;
}

.card__date {
    text-transform: uppercase;
    letter-spacing: 0.3em;
}


    .container {
        width: 70%;
    }

    .post {
        display: flex;
        align-items: center;
    }

    .post__excerpt {
        width: 45%;
    }

    .post__image {
       max-width: 55%;
    }

    .post:nth-child(odd) .post__excerpt {
        margin-right: 0;
    }

    .post:nth-child(odd) .card:before {
        right: -10px;
    }

    .post:nth-child(odd) .card__header,
    .post:nth-child(odd) .card__cta {
        text-align: right;
    }

    .post:nth-child(even) .post__excerpt {
        order: 1;
        margin-left: 0;
    }

    .post:nth-child(even) .card:before {
        left: -10px;
    }

    .card:before {
        bottom: auto;
    }
@media all and (min-width:300px) and (max-width: 850px) {
    .container{
        width:100%;
    }
    .post{
        display:inline-block;
    }
    .post__excerpt{
        width:80%;
    }
    .card:before {
        display:none;
    }
    .post__image{
        max-width:98%;
    }
}